Issue with packages for upgrade 6.0.15

Moderator: crythias

Post Reply
Ytigiev
OTRS newbie
Posts: 4
Joined: 03 Dec 2018, 13:37
OTRS Version?: 6.0.14

Issue with packages for upgrade 6.0.15

Post by Ytigiev » 08 Jan 2019, 12:29

Hello,

I'm updating OTRS Community Edition from 6.0.11 to 6.0.15 by instruction (https://doc.otrs.com/doc/manual/admin/6 ... ating.html).
When I run "Step 5: Update installed packages" I get the error which descibed bellow. How can I fix the issue? I think the documentation has missing steps for a copying packages/configuration from old version to new.

Code: Select all

-------
bash-4.2$ bin/otrs.Console.pl Admin::Package::UpgradeAll
Fetching on-line repositories...
  OTRS Freebie Features... Done

Upgrading installed packages...
  The following packages could not be found in the on-line repositories...
    GeneralCatalog
    ITSM
    ITSMChangeManagement
    ITSMConfigurationManagement
    ITSMCore
    ITSMIncidentProblemManagement
    ITSMServiceLevelManagement
    ImportExport

Fail.

RStraub
OTRS guru
Posts: 2138
Joined: 13 Mar 2014, 09:16
OTRS Version?: 6.0.14
Real Name: Rolf Straub

Re: Issue with packages for upgrade 6.0.15

Post by RStraub » 08 Jan 2019, 17:52

I don't think you need to run that step for a patch-level release (=update), only for an upgrade (e.g. from 5.xx to 6.xx). In earlier versions of the manual there was a notice:

Code: Select all

Within a single minor version you can skip patch level releases if you want to upgrade. For instance you can upgrade directly from OTRS 5 patchlevel 2 to version 5 patchlevel 6. If you need to do such a "patch level upgrade", you should skip steps 6, 10, 11, 14, 17 and 18.
Which isn't there for version 6...
Currently using: OTRS 6.0.14 -- MariaDB -- Ubuntu 16 LTS

wurzel
OTRS guru
Posts: 2611
Joined: 08 Jul 2010, 22:25
OTRS Version?: 6.0.x

Re: Issue with packages for upgrade 6.0.15

Post by wurzel » 09 Jan 2019, 12:47

Hi,

the upgrading procedure should be followed. 6 is different than 5. Also the dbupdate-to-6.pl script must be started.
The steps are correct. Packages have to be upgraded.
If you can not upgrade from commandline you can use the GUI Package Manager.
Sometimes the package repos are not reachable because of proxy or dns issues or firewall rules or whatever and you have to use the GUI.


regards
Florian
    ((OTRS)) Community Edition 6.0.x, LAMP LIVE auf Debian 9
    OTRS 7 SILVER

    -- Ich beantworte keine Forums-Fragen PN - No PN please

    I won't answer to unfriendly users any more. A greeting and regards are just polite.

    skullz
    OTRS wizard
    Posts: 166
    Joined: 24 Feb 2012, 03:58
    OTRS Version?: OTRS 6

    Re: Issue with packages for upgrade 6.0.15

    Post by skullz » 15 Jan 2019, 07:08

    Do manually via GUI or

    otrs@shell > /bin/otrs.Console.pl Admin::Package::Upgrade https://ftp.otrs.org/pub/otrs/itsm/bund ... 6.0.XX.opm"

    Post Reply